%{!?apxs:    %{expand: %%define apxs    %{_sbindir}/apxs}}
%{!?aprconf: %{expand: %%define aprconf %{_bindir}/apr-config}}
%{!?apuconf: %{expand: %%define apuconf %{_bindir}/apu-config}}
%{!?libtool: %{expand: %%define libtool %(lt=$(%{apxs} -q LIBTOOL) ; if test -z "$lt" ; then lt=%{_sysconfdir}/httpd/build/libtool ; fi ; echo $lt)}}
%define aplibdir    %(%{apxs} -q LIBEXECDIR 2>/dev/null)
%define aprlibs     %(libs=$(%{aprconf} --ldflags --link-ld --libs 2>/dev/null) ; if test -z "$libs" ; then libs="-lapr" ; fi ; echo $libs)
%define apulibs     %(libs=$(%{apuconf} --ldflags --link-ld --libs 2>/dev/null) ; echo $libs)
%define aplogdir    %{_localstatedir}/log/httpd
%define aprundir    %{_localstatedir}/run
%define section     free

Summary:        Tomcat mod_jk2 connector for Apache 2.0.x
Name:           mod_jk2
Version:        2.0.4
Release:        7jpp
Epoch:          0
Vendor:         JPackage Project
Distribution:   JPackage
License:        Apache Software License
Group:          Internet/WWW/Servers
URL:            http://jakarta.apache.org/tomcat/
Source0:        http://www.apache.org/dist/jakarta/tomcat-connectors/jk2/source/jakarta-tomcat-connectors-jk2-2.0.4-src.tar.gz
Source1:        workers2.properties.sample
Source2:        mod_jk2.conf.sample
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libtool, %{apxs}, %{_bindir}/perl, jpackage-utils >= 0:1.5
BuildRequires:  expat-devel
%{?!_without_pcre:BuildRequires: %{_bindir}/pcre-config}
Provides:       mod_jk2-ap20 = %{epoch}:%{version}-%{release}
Obsoletes:      tomcat-mod

%description
Tomcat 4.x, 5.x mod_jk2 connector for Apache 2.0.x.

You can use the following rpm build flags to customize executable locations,
but usually that should not be necessary:
* apxs:       "--define 'apxs /path/to/your/apxs'"
* apr-config: "--define 'aprconf /path/to/your/apr-config'"
* apu-config: "--define 'apuconf /path/to/your/apu-config'"
* libtool:    "--define 'libtool /path/to/your/httpd/libtool'"

%package        tools
Summary:        Analysis and report tools for mod_jk2
Group:          Internet/Log Analysis

%description    tools
Miscellaneous mod_jk2 analysis and report tools.


%prep
%setup -q -n jakarta-tomcat-connectors-jk2-%{version}-src
perl -pi -e 's|/usr/local/bin\b|%{_bindir}|' jk/tools/reports/*.pl
perl -pi -e 's|-lcrypt\b|%{aprlibs} %{apulibs}|' \
  jk/native2/server/apache2/Makefile.in
install -p -m 0644 %{SOURCE1} %{SOURCE2} .
perl -pi -e \
  's|\@logdir\@|%{aplogdir}| ;
   s|\@rundir\@|%{aprundir}|' \
  workers2.properties.sample


%build

cd jk/native2

[ -x ./configure ] || sh ./buildconf.sh
%{?!_without_pcre:CFLAGS="$RPM_OPT_FLAGS `pcre-config --cflags`"} %configure \
  --with-apxs2=%{apxs} \
  --with-java-home=%{java_home} \
  --with-java-platform=2 \
  --with-jni \
  %{!?_without_pcre:--with-pcre}

make %{?_smp_mflags} LIBTOOL="%{libtool}"

cd ../..


%install
rm -rf $RPM_BUILD_ROOT
install -dm 0755 $RPM_BUILD_ROOT%{aplibdir}
install -pm 0755 jk/build/jk2/apache2/*.so $RPM_BUILD_ROOT%{aplibdir}
install -dm 0755 $RPM_BUILD_ROOT%{_bindir}
install -pm 0755 jk/tools/reports/tomcat_*.pl $RPM_BUILD_ROOT%{_bindir}


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc LICENSE jk/native2/*.html jk/native2/*.txt *.sample
%{aplibdir}/*.so

%files tools
%defattr(-,root,root,-)
%doc jk/tools/reports/README.txt
%{_bindir}/tomcat_*.pl


%changelog
* Mon Sep 27 2004 Nicolas Mailhot <nim@jpackage.org> - 0:2.0.4-7jpp
- add expat-devel to BuildRequires (needed/tested on RH ES 3)
  I hope it won't break another distribution

* Sat Jun 19 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0.4-6jpp
- Don't hardcode %%{_libdir} for apr libs, use --ldflags from apr-config and
  apu-config instead.

* Mon Jun 13 2004 Martin Grotzke <martin.grotzke at javakaffee.de> - 0:2.0.4-5.jpp
- Updated to released jakarta-tomcat-connectors-jk2-2.0.4.

* Mon Jan 12 2004 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0.4-4jpp
- Use apu-config if available for apache2 to make JNI work.
- Improve /jkstatus config in included sample configuration files.

* Sat Nov 15 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0.4-3jpp
- Use apr-config if available for apache2 to allow building on FC1.
- Use upstream TC 4.1.29 connectors tarball.

* Thu Jul 24 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0.4-2jpp
- Remove spurious mod_jk1 Jk* directives from the sample config file.
- Cosmetic spec file tweaks.

* Fri Jun 27 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0.4-1jpp
- Add missing e:v-r to mod_jk2-ap20 Provides.
- First public JPackage release.

* Thu Jun 26 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0.4-0.2jpp
- Include sample config.

* Wed Jun 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0.4-0.1jpp
- Made apxs customizable with
  "rpmbuild --rebuild --define 'apxs /path/to/your/apxs'".

* Wed Jun 25 2003 Ville Skyttä <ville.skytta at iki.fi> - 0:2.0.4-0jpp
- First build.
